package com.ssj.bean.sys.usercenter.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 家长信息
 * @author Mount Liu
 * @date 2018/9/20
 */
@Entity
@Table(name = "ssj_parent_v")
public class ParentCenter extends BaseEntity {

    private static final long serialVersionUID = 1374006756351004109L;

    /**
     * openid 公众号
     */
    private String account;
    /**
     * 微信昵称
     */
    private String name;//微信昵称
    /**
     * 本地头像
     */
    private String photo;//本地头像
    /**
     * 创建时间
     */
    private Date createTime;//创建时间
    /**
     * 修改时间
     */
    private Date lastUpdateTime;//修改时间
    /**
     * 微信头像，URL
     */
    private String weixinPhoto;//微信头衔
    /**
     * 公众号的二维码
     */
    private String qrCode;//二维码
    /**
     * 是否已关注 1 已关注  0或其他未关注
     */
    private Integer subscribe;//是否已关注 1 已关注  0或其他未关注

    /**
     * 用户的性别（1是男性，2是女性，0是未知）
     */
    private Integer sex;
    /**
     * 用户所在国家
     */
    private String country;
    /**
     * 用户所在省份
     */
    private String province;
    /**
     * // 用户所在城市
     */
    private String city;
    /**
     * 用户语言
     */
    private String language;
    /**
     * 开放平台对应唯一unionid
     */
    private String unionid;


    private String userName;// 用户姓名
    private String conchNum;//贝壳号
    private String easemobName;//环信用户名
    private String mobile;// 手机号
    private String password;// 密码
    private String pwdSalt;// 密码盐


    @Column(name = "wx_account", updatable = false)
    @JSONField(serialize = false)

    public String getAccount() {
        return account;
    }
    public void setAccount(String account) {
        this.account = account;
    }
    @Column(name = "wx_name")
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    @Column(name = "photo")
    public String getPhoto() {
        return photo;
    }
    public void setPhoto(String photo) {
        this.photo = photo;
    }
    @Column(name = "create_time", updatable = false)
    @JSONField(serialize = false)
    public Date getCreateTime() {
        return createTime;
    }
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    @Column(name = "last_update_time", insertable = false)
    @JSONField(serialize = false)
    public Date getLastUpdateTime() {
        return lastUpdateTime;
    }
    public void setLastUpdateTime(Date lastUpdateTime) {
        this.lastUpdateTime = lastUpdateTime;
    }
    @Column(name = "weixin_photo")
    @JSONField(serialize = false)
    public String getWeixinPhoto() {
        return weixinPhoto;
    }
    public void setWeixinPhoto(String weixinPhoto) {
        this.weixinPhoto = weixinPhoto;
    }
    @Column(name = "qr_code")
    @JSONField(serialize = false)
    public String getQrCode() {
        return qrCode;
    }
    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }
    @Column(name = "subscribe")
    public Integer getSubscribe() {
        return subscribe;
    }
    public void setSubscribe(Integer subscribe) {
        this.subscribe = subscribe;
    }
    @Column(name = "sex")
    public Integer getSex() {
        return sex;
    }
    public void setSex(Integer sex) {
        this.sex = sex;
    }
    @Column(name = "country")
    public String getCountry() {
        return country;
    }
    public void setCountry(String country) {
        this.country = country;
    }
    @Column(name = "province")
    public String getProvince() {
        return province;
    }
    public void setProvince(String province) {
        this.province = province;
    }
    @Column(name = "city")
    public String getCity() {
        return city;
    }
    public void setCity(String city) {
        this.city = city;
    }
    @Column(name = "unionid")
    @JSONField(serialize = false)
    public String getUnionid() {
        return unionid;
    }
    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }
    @Column(name = "language")
    @JSONField(serialize = false)
    public String getLanguage() {
        return language;
    }
    public void setLanguage(String language) {
        this.language = language;
    }

    @Column(name = "user_name")
    public String getUserName() {
        return userName;
    }
    public void setUserName(String userName) {
        this.userName = userName;
    }
    @Column(name = "conch_num")
    public String getConchNum() {
        return conchNum;
    }
    public void setConchNum(String conchNum) {
        this.conchNum = conchNum;
    }
    @Column(name = "easemob_name")
    public String getEasemobName() {
        return easemobName;
    }
    public void setEasemobName(String easemobName) {
        this.easemobName = easemobName;
    }
    @Column(name = "mobile")
    @JSONField(serialize = false)
    public String getMobile() {
        return mobile;
    }
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
    @Column(name = "password")
    @JSONField(serialize = false)
    public String getPassword() {
        return password;
    }
    public void setPassword(String password) {
        this.password = password;
    }
    @Column(name = "pwd_salt")
    @JSONField(serialize = false)
    public String getPwdSalt() {
        return pwdSalt;
    }
    public void setPwdSalt(String pwdSalt) {
        this.pwdSalt = pwdSalt;
    }
}
